package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;


/**
 * <p>
 * 尽调预约
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@TableName("c_due_diligence_appointment")
public class DueDiligenceAppointment extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 公司名称
     */
    @TableField("corporate_name")
    private String corporateName;

    /**
     * 统一社会信用代码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;

    /**
     *  视频尽调 1确认
     */
    @TableField("due_diligence")
    private Integer dueDiligence;

    /**
     * 联系人姓名
     */
    @TableField("contact_name")
    private String contactName;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 供应商企业信息表id
     */
    @TableField("supplier_info_id")
    private Long supplierInfoId;

    /**
     * 短信验证码
     */
    @TableField(exist = false)
    private String code;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCorporateName() {
        return corporateName;
    }

    public void setCorporateName(String corporateName) {
        this.corporateName = corporateName;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }
    public Integer getDueDiligence() {
        return dueDiligence;
    }

    public void setDueDiligence(Integer dueDiligence) {
        this.dueDiligence = dueDiligence;
    }
    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public Long getSupplierInfoId() {
        return supplierInfoId;
    }

    public void setSupplierInfoId(Long supplierInfoId) {
        this.supplierInfoId = supplierInfoId;
    }

    @Override
    public String toString() {
        return "CVideoDueDiligenceAppointment{" +
            "corporateName=" + corporateName +
            ", socialCreditCode=" + socialCreditCode +
            ", dueDiligence=" + dueDiligence +
            ", contactName=" + contactName +
            ", mobile=" + mobile +
            ", supplierInfoId=" + supplierInfoId +
        "}";
    }
}
